# classes/phing/tasks/system/condition/IsFalseCondition.php

## \IsFalseCondition
jump to top

Condition that tests whether a given string evals to false.

Extends from
  \ProjectComponent
Implements
  \Condition
author
  Hans Lellelid (Phing)
author
  Steve Loughran (Ant)
package
  phing.tasks.system.condition
version
  $Revision: 526 $

### Properties

`$value= ''`

what we eval

Details

Type

### Methods

`evaluate( ) :`
return the inverted value;
Details

throws
  if someone forgot to spec a value

`setValue( boolean $value ) :`
Set the value to be tested.
Parameters

Name | Type | Description
--- | --- | ---
$value | boolean |

Documentation was generated by DocBlox 0.13.1.